Page MenuHomePhabricator

Access for imarlier to wdqs servers
Closed, ResolvedPublic

Description

I'm helping with T207718, and in order to do so I need to be able to access the wdqs servers.

I will also need some escalated privileges:

  • top/atop/htop/iotop/iftop (not sure which are installed)
  • iostat
  • netstat
  • ability to read service logs
  • ability to read system logs

Potentially I'll also need tcpdump, but can request that at a later time if needed.

@EBjune is the manager of the search team, and I believe she's the right person to approve this request.

Details

Related Gerrit Patches:
operations/puppet : productionadmin: add imarlier to wdqs-roots
operations/puppet : productionwdqs: add root access on wdqs servers for imarlier

Event Timeline

Imarlier created this task.Nov 1 2018, 6:56 PM
Restricted Application added a project: Operations. · View Herald TranscriptNov 1 2018, 6:56 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ema triaged this task as Normal priority.Nov 2 2018, 2:08 PM
ema updated the task description. (Show Details)
EBjune added a comment.Nov 2 2018, 5:14 PM

@Imarlier has my approval, if necessary

Change 471775 had a related patch set uploaded (by Gehel; owner: Gehel):
[operations/puppet@production] wdqs: add root access on wdqs servers for imarlier

https://gerrit.wikimedia.org/r/471775

Gehel added a subscriber: Gehel.Nov 5 2018, 5:53 PM

Approved in weekly SRE meeting for full root access to wdqs servers

Change 471775 abandoned by Gehel:
wdqs: add root access on wdqs servers for imarlier

Reason:
replaced with https://gerrit.wikimedia.org/r/c/operations/puppet/ /471799

https://gerrit.wikimedia.org/r/471775

Change 471799 had a related patch set uploaded (by Cwhite; owner: Cwhite):
[operations/puppet@production] admin: add imarlier to wdqs-roots

https://gerrit.wikimedia.org/r/471799

Change 471799 merged by Cwhite:
[operations/puppet@production] admin: add imarlier to wdqs-roots

https://gerrit.wikimedia.org/r/471799

colewhite closed this task as Resolved.Nov 5 2018, 10:39 PM
colewhite claimed this task.